Bug 414360 - bad coding of an url in a mail
Summary: bad coding of an url in a mail
Status: REPORTED
Alias: None
Product: kmail2
Classification: Applications
Component: composer (show other bugs)
Version: 5.13.1
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-21 12:25 UTC by Philippe ROUBACH
Modified: 2022-01-14 10:14 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
same case as comment 6 (724 bytes, application/mbox)
2022-01-14 09:54 UTC, Philippe ROUBACH
Details
not cut url (726 bytes, application/mbox)
2022-01-14 09:59 UTC, Philippe ROUBACH
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe ROUBACH 2019-11-21 12:25:21 UTC
SUMMARY

bad coding of an url in a mail

STEPS TO REPRODUCE
1. copy a long url of an itinerary at openstreetmap.org

for example

https://www.openstreetmap.org/directions?
engine=graphhopper_foot&route=44.85765%2C-0.55931%3B44.85713%2C-0.56117#map=18/44.85756/-0.56094

2. past it in kmail editor (text mode edition).
3. record mail as a draft.
4. display the recorded mail.

OBSERVED RESULT

Only "https://www.openstreetmap.org/directions?" is a clickable url. The other part of the url is just text.

EXPECTED RESULT

All "https://www.openstreetmap.org/directions?
engine=graphhopper_foot&route=44.85765%2C-0.55931%3B44.85713%2C-0.56117#map=18/44.85756/-0.56094
"

must be clickable.

in the past there were no problem.


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 5.17.3
KDE Frameworks Version: 5.64.0
Qt Version: 5.13.1

ADDITIONAL INFORMATION

KDE app 19.08.3
Comment 1 Laurent Montel 2019-11-22 06:20:35 UTC
Git commit 34e4e04b3f5e388cea2f4b57c4489badb0edf9c1 by Laurent Montel.
Committed on 22/11/2019 at 06:19.
Pushed by mlaurent into branch 'master'.

Add test for bug "bug-414360" it's not a ktexttohtml bug

M  +5    -1    autotests/ktexttohtmltest.cpp

https://commits.kde.org/kcoreaddons/34e4e04b3f5e388cea2f4b57c4489badb0edf9c1
Comment 2 Laurent Montel 2019-11-22 06:21:37 UTC
It's a problem with wrapping in texteditor.
Comment 3 Philippe ROUBACH 2019-11-22 09:05:03 UTC
Thanks
Comment 4 Philippe ROUBACH 2020-01-29 08:05:18 UTC
another case

the url is :

https://www.amazon.fr/eqiva-Bluetooth-Thermostat-radiateur-141771A1A/dp/B014VHFR6Y

in kmail

we get this :

https://www.amazon.fr/eqiva-Bluetooth-Thermostat-radiateur-141771A1A/dp/
B014VHFR6Y

where clickable url is :

https://www.amazon.fr/eqiva-Bluetooth-Thermostat-radiateur-141771A1A/dp/

with

KDE Plasma Version: 5.17.5
KDE Frameworks Version: 5.66.0
Qt Version: 5.14.0

ADDITIONAL INFORMATION
kde apps 19.12.1
kmail 5.13.1
Comment 5 Philippe ROUBACH 2020-04-10 10:51:19 UTC
Problem still there

KDE Plasma Version: 5.18.3
KDE Frameworks Version: 5.68.0
Qt Version: 5.14.1

ADDITIONAL INFORMATION

KDE app 19.12.3
Comment 6 Philippe ROUBACH 2020-04-10 10:57:31 UTC
More info about the last case detected.

kmail composer was launched from Firefox to send a link.

The link was
https://www.lesnumeriques.com/divers-electromenager/ecovacs-winbot-930-p21429/test.html

we get in the mail this link
https://www.lesnumeriques.com/divers-electromenager/ecovacs-winbot-930-p21429/

"test.html" was apart in the following line.
Comment 7 Philippe ROUBACH 2022-01-14 09:54:44 UTC
Created attachment 145450 [details]
same case as comment 6

kde gear 21.12.1
plasma 5.23.5
kde frameworks 5.90.0
qt 5.15.2

this one

https://www.amazon.fr/Sinjimoru-daccueil-téléphonique-dAccueil-Silicone/dp/
B07GQNY5RD

You can see that the url is cut after the 80-th symbol, which is "/".
Comment 9 Philippe ROUBACH 2022-01-14 10:14:49 UTC
Sorry, replace "80" by "76".